ID CVE-2017-12607
Summary A vulnerability in OpenOffice's PPT file parser before 4.1.4, and specifically in PPTStyleSheet, allows attackers to craft malicious documents that cause denial of service (memory corruption and application crash) potentially resulting in arbitrary code execution.
References
Vulnerable Configurations
  • cpe:2.3:a:apache:openoffice:3.4.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice:3.4.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.0.0:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice:4.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice:4.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.0:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice:4.1.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice:4.1.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.2:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice:4.1.2:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.3:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice:4.1.3:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice.org:-:*:*:*:*:*:*:*
    cpe:2.3:a:apache:openoffice.org:-:*:*:*:*:*:*:*
  • cpe:2.3:o:debian:debian_linux:7.0:*:*:*:*:*:*:*
    cpe:2.3:o:debian:debian_linux:7.0:*:*:*:*:*:*:*
  • cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
    cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
CVSS
Base: 6.8 (as of 08-05-2019 - 18:45)
Impact:
Exploitability:
CWE CWE-787
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
assigner via4 cve@mitre.org
cvss-vector via4 AV:N/AC:M/Au:N/C:P/I:P/A:P
refmap via4
bid 101585
confirm https://www.openoffice.org/security/cves/CVE-2017-12607.html
debian DSA-4022
mlist [debian-lts-announce] 20171220 [SECURITY] [DLA 1214-1] libreoffice security update
sectrack
  • 1039732
  • 1039734
vulnerable_product via4
  • cpe:2.3:a:apache:openoffice:3.4.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.2:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice:4.1.3:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:openoffice.org:-:*:*:*:*:*:*:*
  • cpe:2.3:o:debian:debian_linux:7.0:*:*:*:*:*:*:*
  • cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
Last major update 08-05-2019 - 18:45
Published 20-11-2017 - 19:29
Back to Top